using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Receive
{
    /// <summary>
    /// 
    /// </summary>
    public class GetCaseDistrecordSendInfo
    {
        /// <summary>
        /// 服务工单编号 
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class GetCaseDistrecordSendModel
    {
        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("operatorguid")]
        public string OperatorGuid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("cliengguid")]
        public string CliengGuid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("createtime")]
        public string? CreateTime { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("batchno")]
        public int? BatchNo { get; set; }

        /// <summary>
        ///  节点
        /// </summary>
        [JsonPropertyName("nodetype")]
        public string? NodeType { get; set; }

        /// <summary>
        ///  操作
        /// </summary>
        [JsonPropertyName("operatestatus")]
        public string? OperateStatus { get; set; }

        /// <summary>
        ///  操作
        /// </summary>
        [JsonPropertyName("operatorouguid")]
        public string? OperatorouGuid { get; set; }

        /// <summary>
        ///  步骤
        /// </summary>
        [JsonPropertyName("activityguid")]
        public string? ActivityGuid { get; set; }

        /// <summary>
        ///  操作人名
        /// </summary>
        [JsonPropertyName("operateusername")]
        public string? OperateUserName { get; set; }

        /// <summary>
        ///  操作部门
        /// </summary>
        [JsonPropertyName("operatorouname")]
        public string? OperatorouName { get; set; }

        /// <summary>
        ///  唯一ID
        /// </summary>
        [JsonPropertyName("rowguid")]
        public string? RowGuid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("tguid")]
        public string? Tguid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("cguid")]
        public string? Cguid { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("operatedate")]
        public string? OperateDate { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("first_tguid")]
        public string? FirstTguid { get; set; }

        /// <summary>
        ///处理时间
        /// </summary>
        [JsonPropertyName("handletime")]
        public string? HandleTime { get; set; }

        /// <summary>
        ///  处理意见
        /// </summary>
        [JsonPropertyName("handleopinion")]
        public string? HandleOpinion { get; set; }

        /// <summary>
        ///  
        /// </summary>
        [JsonPropertyName("operatetype")]
        public string? OperateType { get; set; }

        /// <summary>
        ///  处理人员
        /// </summary>
        [JsonPropertyName("operatorname")]
        public string? OperatorName { get; set; }
    }
}
